Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRAbstractExporter.ParameterResolver

All Known Implementing Classes:
  JRAbstractExporter.ParameterOverriddenResolver, JRAbstractExporter.ParameterOverrideResolver

Enclosing class:
  JRAbstractExporter

    protected static interface JRAbstractExporter.ParameterResolver

Method Summary
`boolean` | `getBooleanParameter(JRExporterParameter parameter, java.lang.String property, boolean defaultValue)`
`java.lang.Character` | `getCharacterParameter(JRExporterParameter parameter, java.lang.String property)`
`float` | `getFloatParameter(JRExporterParameter parameter, java.lang.String property, float defaultValue)`
`int` | `getIntegerParameter(JRExporterParameter parameter, java.lang.String property, int defaultValue)`
`java.lang.String[]` | `getStringArrayParameter(JRExporterParameter parameter, java.lang.String propertyPrefix)`
`java.lang.String` | `getStringParameter(JRExporterParameter parameter, java.lang.String property)`
`java.lang.String` | `getStringParameterOrDefault(JRExporterParameter parameter, java.lang.String property)`

Method Detail

### getStringParameter

    java.lang.String getStringParameter(JRExporterParameter parameter,
                                        java.lang.String property)

### getStringArrayParameter

    java.lang.String[] getStringArrayParameter(JRExporterParameter parameter,
                                               java.lang.String propertyPrefix)

### getStringParameterOrDefault

    java.lang.String getStringParameterOrDefault(JRExporterParameter parameter,
                                                 java.lang.String property)

### getBooleanParameter

    boolean getBooleanParameter(JRExporterParameter parameter,
                                java.lang.String property,
                                boolean defaultValue)

### getIntegerParameter

    int getIntegerParameter(JRExporterParameter parameter,
                            java.lang.String property,
                            int defaultValue)

### getFloatParameter

    float getFloatParameter(JRExporterParameter parameter,
                            java.lang.String property,
                            float defaultValue)

### getCharacterParameter

    java.lang.Character getCharacterParameter(JRExporterParameter parameter,
                                              java.lang.String property)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com